LIBKECCAK_STATE_FAST_DESTROY(3)

NAME
libkeccak_state_fast_destroy - Destroys a hash state without erasure

SYNOPSIS
#include <libkeccak.h>
void libkeccak_state_fast_destroy(struct libkeccak_state *state);

Link with -lkeccak.

DESCRIPTION
The libkeccak_state_fast_destroy() function releases the allocations stored in *state, without releasing the allocation of state itself.

The libkeccak_state_fast_destroy() function does not securely erase sensitive data.

RETURN VALUES
The libkeccak_state_fast_destroy() function does not return any value.

ERRORS
The libkeccak_state_fast_destroy() function cannot fail.

SEE ALSO
libkeccak_state_fast_free(3), libkeccak_state_destroy(3), libkeccak_state_initialise(3), libkeccak_state_reset(3), libkeccak_state_wipe(3)